Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs
Class XSAttributeGroupDecl

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.XSAttributeGroupDecl

All Implemented Interfaces:
  XSAttributeGroupDefinition, XSObject

public class XSAttributeGroupDecl
extends java.lang.Object
implements XSAttributeGroupDefinition

The XML representation for an attribute group declaration schema component is a global element information item

Version:
  $Id: XSAttributeGroupDecl.java,v 1.12 2003/01/14 20:21:45 elena Exp $
Author:
  Sandy Gao, IBM, Rahul Srivastava, Sun Microsystems Inc.

Field Summary
`XSWildcardDecl` | `fAttributeWC`
`java.lang.String` | `fIDAttrName`
`java.lang.String` | `fName`
`java.lang.String` | `fTargetNamespace`

Constructor Summary
`XSAttributeGroupDecl()`

Method Summary
`java.lang.String` | `addAttributeUse(XSAttributeUseImpl attrUse)`
`XSAnnotation` | `getAnnotation()` Optional.
`XSAttributeUseImpl` | `getAttributeUse(java.lang.String uri, java.lang.String localpart)`
`XSObjectList` | `getAttributeUses()` {attribute uses} A set of attribute uses.
`XSWildcard` | `getAttributeWildcard()` {attribute wildcard} Optional.
`java.lang.String` | `getName()` The `name` of this `XSObject` depending on the `XSObject` type.
`java.lang.String` | `getNamespace()` The namespace URI of this node, or `null` if it is unspecified.
`XSNamespaceItem` | `getNamespaceItem()` A namespace schema information itemcorresponding to the target namespace of the component, if it's globally declared; or null otherwise.
`short` | `getType()` Get the type of the object, i.e ELEMENT_DECLARATION.
`void` | `removeProhibitedAttrs()`
`void` | `reset()`
`java.lang.String` | `validRestrictionOf(XSAttributeGroupDecl baseGroup)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fName

    public java.lang.String fName

### fTargetNamespace

    public java.lang.String fTargetNamespace

### fAttributeWC

    public XSWildcardDecl fAttributeWC

### fIDAttrName

    public java.lang.String fIDAttrName

Constructor Detail

### XSAttributeGroupDecl

    public XSAttributeGroupDecl()

Method Detail

### addAttributeUse

    public java.lang.String addAttributeUse(XSAttributeUseImpl attrUse)

### getAttributeUse

    public XSAttributeUseImpl getAttributeUse(java.lang.String uri,
                                              java.lang.String localpart)

### removeProhibitedAttrs

    public void removeProhibitedAttrs()

### validRestrictionOf

    public java.lang.String validRestrictionOf(XSAttributeGroupDecl baseGroup)

### reset

    public void reset()

### getType

    public short getType()

  Get the type of the object, i.e ELEMENT_DECLARATION.
  Specified by:
    `getType` in interface `XSObject`

### getName

    public java.lang.String getName()

  The `name` of this `XSObject` depending on the `XSObject` type.
  Specified by:
    `getName` in interface `XSObject`

### getNamespace

    public java.lang.String getNamespace()

  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.
  Specified by:
    `getNamespace` in interface `XSObject`

### getAttributeUses

    public XSObjectList getAttributeUses()

  {attribute uses} A set of attribute uses.
  Specified by:
    `getAttributeUses` in interface `XSAttributeGroupDefinition`

### getAttributeWildcard

    public XSWildcard getAttributeWildcard()

  {attribute wildcard} Optional. A wildcard.
  Specified by:
    `getAttributeWildcard` in interface `XSAttributeGroupDefinition`

### getAnnotation

    public XSAnnotation getAnnotation()

  Optional. Annotation.
  Specified by:
    `getAnnotation` in interface `XSAttributeGroupDefinition`

### getNamespaceItem

    public XSNamespaceItem getNamespaceItem()

  Description copied from interface: `XSObject`
  A namespace schema information itemcorresponding to the target namespace of the component, if it's globally declared; or null otherwise.
  Specified by:
    `getNamespaceItem` in interface `XSObject`
  See Also:
    `XSObject.getNamespaceItem()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.